Up

# NSDrawer

### Authors

Fred Kiefer (`FredKiefer@gmx.de`)

> The drawer class

Copyright: (C) 2001 Free Software Foundation, Inc.

### Contents -

1. Software documentation for the NSDrawer class
2. Software documentation for the NSDrawerDelegate class

# Software documentation for the NSDrawer class

## NSDrawer : NSResponder

> Declared in:
>   AppKit/NSDrawer.h

> Standards:
> - MacOS-X
> - OpenStep
> - GNUstep

Description forthcoming.

Method summary

- -close
- -close:
- -contentSize
- -contentView
- -delegate
- -edge
- -initWithContentSize:preferredEdge:
- -leadingOffset
- -maxContentSize
- -minContentSize
- -open
- -open:
- -openOnEdge:
- -parentWindow
- -preferredEdge
- -setContentSize:
- -setContentView:
- -setDelegate:
- -setLeadingOffset:
- -setMaxContentSize:
- -setMinContentSize:
- -setParentWindow:
- -setPreferredEdge:
- -setTrailingOffset:
- -state
- -toggle:
- -trailingOffset

### close

- (void) close;

Description forthcoming.

### close:

- (void) close: (id)sender;

Description forthcoming.

### contentSize

- (NSSize) contentSize;

Description forthcoming.

### contentView

- (NSView*) contentView;

Description forthcoming.

### delegate

- (id) delegate;

Description forthcoming.

### edge

- (NSRectEdge) edge;

Description forthcoming.

### initWithContentSize:preferredEdge:

- (id) initWithContentSize: (NSSize)contentSize preferredEdge: (NSRectEdge)edge;

Description forthcoming.

### leadingOffset

- (float) leadingOffset;

Description forthcoming.

### maxContentSize

- (NSSize) maxContentSize;

Description forthcoming.

### minContentSize

- (NSSize) minContentSize;

Description forthcoming.

### open

- (void) open;

Description forthcoming.

### open:

- (void) open: (id)sender;

Description forthcoming.

### openOnEdge:

- (void) openOnEdge: (NSRectEdge)edge;

Description forthcoming.

### parentWindow

- (NSWindow*) parentWindow;

Description forthcoming.

### preferredEdge

- (NSRectEdge) preferredEdge;

Description forthcoming.

### setContentSize:

- (void) setContentSize: (NSSize)size;

Description forthcoming.

### setContentView:

- (void) setContentView: (NSView*)aView;

Description forthcoming.

### setDelegate:

- (void) setDelegate: (id)anObject;

Description forthcoming.

### setLeadingOffset:

- (void) setLeadingOffset: (float)offset;

Description forthcoming.

### setMaxContentSize:

- (void) setMaxContentSize: (NSSize)size;

Description forthcoming.

### setMinContentSize:

- (void) setMinContentSize: (NSSize)size;

Description forthcoming.

### setParentWindow:

- (void) setParentWindow: (NSWindow*)parent;

Description forthcoming.

### setPreferredEdge:

- (void) setPreferredEdge: (NSRectEdge)preferredEdge;

Description forthcoming.

### setTrailingOffset:

- (void) setTrailingOffset: (float)offset;

Description forthcoming.

### state

- (int) state;

Description forthcoming.

### toggle:

- (void) toggle: (id)sender;

Description forthcoming.

### trailingOffset

- (float) trailingOffset;

Description forthcoming.

# Software documentation for the NSDrawerDelegate class

## NSDrawerDelegate

> Declared in:
>   AppKit/NSDrawer.h

> Standards:
> - MacOS-X
> - OpenStep
> - GNUstep

Description forthcoming.

Method summary

- -drawerDidClose:
- -drawerDidOpen:
- -drawerShouldClose:
- -drawerShouldOpen:
- -drawerWillClose:
- -drawerWillOpen:
- -drawerWillResizeContents:toSize:

### drawerDidClose:

- (void) drawerDidClose: (NSNotification*)notification;

Description forthcoming.

### drawerDidOpen:

- (void) drawerDidOpen: (NSNotification*)notification;

Description forthcoming.

### drawerShouldClose:

- (BOOL) drawerShouldClose: (NSDrawer*)sender;

Description forthcoming.

### drawerShouldOpen:

- (BOOL) drawerShouldOpen: (NSDrawer*)sender;

Description forthcoming.

### drawerWillClose:

- (void) drawerWillClose: (NSNotification*)notification;

Description forthcoming.

### drawerWillOpen:

- (void) drawerWillOpen: (NSNotification*)notification;

Description forthcoming.

### drawerWillResizeContents:toSize:

- (NSSize) drawerWillResizeContents: (NSDrawer*)sender toSize: (NSSize)contentSize;

Description forthcoming.

Up